Bundle resource and relationship operations to be processed

Send a bundle of operations, including resource and relationship operations, to be processed atomically by the system.

Notes:

  • Order of Processing: Resource operations are executed first, followed by relationship operations.
  • Atomicity: The system processes the entire bundle as a single atomic transaction.
    • If all operations succeed, the changes are committed.
    • If any operation fails, all operations are rolled back, ensuring no partial changes.
Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Path Params
string
required

The source key.

Body Params

The request body should contain a list of resources and relationships operations.

Contains a list of resource and relationship operations to be processed atomically by the system.
Note:

  • Multiple unique @rootId token could be defined by suffixing the token with a number. For example, @rootId1, @rootId2, etc...
  • @rootId token could be used in any properties of type reference to refer to a created resources in the same bundle.
  • @rootId token could be used in the from and to fields of the relationship operations to refer to created resources in the same bundle.

resourceOperations
array of objects
required

List of resource operations for the bundle.

resourceOperations*
relationshipOperations
array of objects
required

List of relationships operations for the bundle.

relationshipOperations*
Responses

Language
Credentials
Header
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json